Log4j 1.2.9

## org.apache.log4j.spi
Interface OptionHandler

All Known Subinterfaces:
  ErrorHandler

All Known Implementing Classes:
  AppenderSkeleton, Filter, Layout

public interface OptionHandler

A string based interface to configure package components.

Since:
  0.8.1
Author:
  Ceki Gülcü, Anders Kristensen

Method Summary
`void` `activateOptions()` Activate the options that were previously set with calls to option setters.

Method Detail

### activateOptions

    public void activateOptions()

  Activate the options that were previously set with calls to option setters.

  This allows to defer activiation of the options until all options have been set. This is required for components which have related options that remain ambigous until all are set.

  For example, the FileAppender has the `File` and `Append` options both of which are ambigous until the other is also set.

Log4j 1.2.9

Copyright 2000-2002 Apache Software Foundation.